> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Delivery Notes

> List delivery notes with pagination.



## OpenAPI

````yaml /api/openapi-cutmake.json get /delivery-notes
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /delivery-notes:
    get:
      tags:
        - Delivery Notes
      summary: List Delivery Notes
      description: List delivery notes with pagination.
      operationId: list_delivery_notes_delivery_notes_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: '-created_at'
            title: Sort
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedDeliveryNotesResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    PaginatedDeliveryNotesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/DeliveryNoteResponse'
          type: array
          title: Data
        pagination:
          $ref: >-
            #/components/schemas/routers__external__delivery_notes__PaginationInfo
      type: object
      required:
        - data
        - pagination
      title: PaginatedDeliveryNotesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DeliveryNoteResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentid
        salesOrderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Salesorderid
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        clientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientname
        dropNumber:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dropnumber
        shippingDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Shippingdate
        actualShipDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Actualshipdate
        carrier:
          anyOf:
            - type: string
            - type: 'null'
          title: Carrier
        trackingNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Trackingnumber
        destinationAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Destinationaddress
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        shipmentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Shipmentid
        deliveryId:
          anyOf:
            - type: string
            - type: 'null'
          title: Deliveryid
        paymentTerms:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentterms
        paymentDueDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Paymentduedate
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        lineItems:
          anyOf:
            - items:
                $ref: '#/components/schemas/DeliveryNoteLineItem'
              type: array
            - type: 'null'
          title: Lineitems
          default: []
      type: object
      required:
        - id
      title: DeliveryNoteResponse
    routers__external__delivery_notes__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    DeliveryNoteLineItem:
      properties:
        id:
          type: string
          title: Id
        deliveryNoteId:
          anyOf:
            - type: string
            - type: 'null'
          title: Deliverynoteid
        salesOrderLineItemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Salesorderlineitemid
        styleCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Stylecode
        styleName:
          anyOf:
            - type: string
            - type: 'null'
          title: Stylename
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        size:
          anyOf:
            - type: string
            - type: 'null'
          title: Size
        quantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Quantity
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      required:
        - id
      title: DeliveryNoteLineItem
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````